Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java	(revision 3392)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java	(revision 3393)
@@ -69,7 +69,7 @@
 	}
 	
 	@Override
-	public TXMResult getResultParent(ExecutionEvent event) {
+	public TXMResult getResultParent(ExecutionEvent event, String id) {
 		@SuppressWarnings("unchecked")
 		TXMEditor<Index> editor = (TXMEditor<Index>) HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActivePart();
 		
@@ -78,7 +78,7 @@
 		CQPCorpus corpus = CQPCorpus.getFirstParentCorpus(index);
 		
 		// TODO enable subcorpus from index query when the hidden subcorpus deletion will be managed or another system implemented (eg new SubCorpus(TXMResult result)
-		if (index.getQuery() instanceof CQLQuery && IndexPreferences.getInstance().getBoolean(IndexPreferences.LINK_USING_SUBCORPUS)) {
+		if (id.contains("Concordance")) {
 			CQLQuery cqlQuery = (CQLQuery) index.getQuery();
 			if (cqlQuery == null || cqlQuery.isEmpty() || // no query
 					cqlQuery.getQueryString().equals("[]") ||
Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/preferences/IndexPreferencesPage.java
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/preferences/IndexPreferencesPage.java	(revision 3392)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/preferences/IndexPreferencesPage.java	(revision 3393)
@@ -30,6 +30,6 @@
 	protected void createFieldEditors() {
 		this.addField(new IntegerFieldEditor(TXMPreferences.N_LINES_PER_PAGE, IndexUIMessages.numberOfLinesPerResultPage, this.getFieldEditorParent()));
 		
-		this.addField(new BooleanFieldEditor(IndexPreferences.LINK_USING_SUBCORPUS, "Experimental: create a subcorpus when calling a command from an index", this.getFieldEditorParent()));
+//		this.addField(new BooleanFieldEditor(IndexPreferences.LINK_USING_SUBCORPUS, "Experimental: create a subcorpus when calling a command from an index", this.getFieldEditorParent()));
 	}
 }
Index: TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/SendConcordanceToTIGERSearch.java
===================================================================
--- TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/SendConcordanceToTIGERSearch.java	(revision 3392)
+++ TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/SendConcordanceToTIGERSearch.java	(revision 3393)
@@ -128,7 +128,7 @@
 	}
 	
 	@Override
-	public TXMResult getResultParent(ExecutionEvent event) {
+	public TXMResult getResultParent(ExecutionEvent event, String id) {
 		@SuppressWarnings("unchecked")
 		TXMEditor<Concordance> editor = (TXMEditor<Concordance>) HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActivePart();
 		
Index: TXM/trunk/org.txm.index.core/src/org/txm/index/core/preferences/IndexPreferences.java
===================================================================
--- TXM/trunk/org.txm.index.core/src/org/txm/index/core/preferences/IndexPreferences.java	(revision 3392)
+++ TXM/trunk/org.txm.index.core/src/org/txm/index/core/preferences/IndexPreferences.java	(revision 3393)
@@ -23,10 +23,10 @@
 	 */
 	public static final String N_TOP_INDEX = "n_top_index"; //$NON-NLS-1$
 	
-	/**
-	 * if true the links from index will create a subcorpus of the index occurrences
-	 */
-	public static final String LINK_USING_SUBCORPUS = "link_using_subcorpus";
+//	/**
+//	 * if true the links from index will create a subcorpus of the index occurrences
+//	 */
+//	public static final String LINK_USING_SUBCORPUS = "link_using_subcorpus";
 	
 	/**
 	 * Gets the instance.
@@ -54,6 +54,6 @@
 		preferences.putInt(F_MAX, Integer.MAX_VALUE);
 		preferences.putInt(V_MAX, Integer.MAX_VALUE);
 		preferences.putInt(N_LINES_PER_PAGE, 100);
-		preferences.putBoolean(LINK_USING_SUBCORPUS, false);
+//		preferences.putBoolean(LINK_USING_SUBCORPUS, false);
 	}
 }
Index: TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java
===================================================================
--- TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java	(revision 3392)
+++ TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java	(revision 3393)
@@ -146,7 +146,7 @@
 	}
 	
 	@Override
-	public TXMResult getResultParent(ExecutionEvent event) {
+	public TXMResult getResultParent(ExecutionEvent event, String id) {
 		return ((IEditionEditor) SWTEditorsUtils.getActiveEditor(event)).getCorpus();
 	}
 }
Index: TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java
===================================================================
--- TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 3392)
+++ TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 3393)
@@ -72,7 +72,7 @@
 			}
 			
 			// create a local result node in the project node, store in some parameters and call the linked command
-			TXMResult result = this.getResultParent(event);
+			TXMResult result = this.getResultParent(event, event.getCommand().getId());
 			if (result == null) {
 				System.out.println("No result found with " + event);
 				return null;
Index: TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java
===================================================================
--- TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 3392)
+++ TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 3393)
@@ -105,7 +105,8 @@
 			}
 			
 			// create a local result node in the project node, store in some parameters and call the linked command
-			TXMResult result = this.getResultParent(event);
+			String id = event.getCommand().getId();
+			TXMResult result = this.getResultParent(event, id);
 			String resultParametersNodePath = result.getProject().getParametersNodeRootPath() + TXMResult.createUUID() + "_link"; // FIXME: we can't put the class name here since
 																																	 // we does not know the target class
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.PARENT_PARAMETERS_NODE_PATH, result.getParametersNodePath());
@@ -114,7 +115,7 @@
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.INDEX, index);
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.SUB_INDEX, subindex);
 			
-			BaseAbstractHandler.executeSendToCommand(event.getCommand().getId(), resultParametersNodePath);
+			BaseAbstractHandler.executeSendToCommand(id, resultParametersNodePath);
 			// TODO we should test if there is already a linked editor and used it. Do to it we must either A) know which editor class is must be opened B) know why a previous editor has been open
 		}
 		else {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3392)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3393)
@@ -312,7 +312,7 @@
 		}
 		else {
 			return (NLS.bind(TXMUIMessages.prettyVersionP0P1,
-					version.getMajor() + "." + version.getMinor() + "." + version.getMicro(), "update " + txm_date + " - build " + build_date));
+					version.getMajor() + "." + version.getMinor() + "." + version.getMicro(), "update " + txm_date + " - installer " + build_date));
 		}
 	}
 	
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 3392)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 3393)
@@ -162,9 +162,10 @@
 	 * This method is essentially dedicated to be overridden, if needed, to define a parent that is not the direct parent (eg. the corpus parent instead of the partition parent).
 	 * 
 	 * @param event
+	 * @param id 
 	 * @return
 	 */
-	public TXMResult getResultParent(ExecutionEvent event) {
+	public TXMResult getResultParent(ExecutionEvent event, String id) {
 		return getActiveEditorResult(event).getParent();
 	}
 	
